# mount.c File Reference

`#include <vfs/mount.h>`
`#include <ubixos/vitals.h>`
`#include <ubixos/kpanic.h>`
`#include <lib/kmalloc.h>`
`#include <lib/kprintf.h>`
`#include <lib/string.h>`
`#include <sys/device.h>`

Include dependency graph for mount.c:

Go to the source code of this file.

## Functions

int | vfs_addMount (struct vfs_mountPoint *mp)
vfs_mountPoint * | vfs_findMount (char *mountPoint)
int | vfs_mount (int major, int minor, int partition, int vfsType, char *mountPoint, char *perms)

## Function Documentation

int vfs_addMount | ( | struct vfs_mountPoint * | mp | ) |

Definition at line 105 of file mount.c.

References vitalsStruct::mountPoints, vfs_mountPoint::next, vfs_mountPoint::prev, and systemVitals.

Referenced by vfs_mount().

struct vfs_mountPoint* vfs_findMount | ( | char * | mountPoint | ) |

Definition at line 132 of file mount.c.

References vfs_mountPoint::mountPoint, vitalsStruct::mountPoints, vfs_mountPoint::next, NULL, strcmp(), and systemVitals.

Referenced by devfs_makeNode(), fopen(), and unlink().

Here is the call graph for this function:

int vfs_mount | ( | int | major,
|  | int | minor,
|  | int | partition,
|  | int | vfsType,
|  | char * | mountPoint,
|  | char * | perms |
| ) |  |  |

Definition at line 47 of file mount.c.

References vfs_mountPoint::device, device_find(), vfs_mountPoint::fs, kfree(), kmalloc(), kprintf(), vfs_mountPoint::mountPoint, NULL, vfs_mountPoint::partition, vfs_mountPoint::perms, sprintf(), vfs_addMount(), vfsFindFS(), fileSystem::vfsInitFS, and x1.

Referenced by devfs_init(), and kmain().

Here is the call graph for this function: